| Home | Libraries | People | FAQ | More

#### get_null_resource

Return a pointer to the null resource.

##### Synopsis

Defined in header `<boost/json/null_resource.hpp>`

    memory_resource*
    get_null_resource();

##### Description

This memory resource always throws the exception `std::bad_alloc` in calls to `allocate`.

##### Complexity

Constant.

##### Exception Safety

No-throw guarantee.

Convenience header `<boost/json.hpp>`